Cantera 2.6.0

Namespaces | Functions
SpeciesThermoFactory.h File Reference

Header for factory functions to build instances of classes that manage the standard-state thermodynamic properties of a set of species (see Species Reference-State Thermodynamic Properties);. More...

`#include "SpeciesThermoInterpType.h"`
Include dependency graph for SpeciesThermoFactory.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
SpeciesThermoInterpType * | newSpeciesThermoInterpType (int type, double tlow, double thigh, double pref, const double *coeffs)
| Create a new SpeciesThermoInterpType object given a corresponding constant. More...
SpeciesThermoInterpType * | newSpeciesThermoInterpType (const std::string &type, double tlow, double thigh, double pref, const double *coeffs)
| Create a new SpeciesThermoInterpType object given a string. More...
SpeciesThermoInterpType * | newSpeciesThermoInterpType (const XML_Node &thermoNode)
| Create a new SpeciesThermoInterpType object from XML_Node. More...
unique_ptr< SpeciesThermoInterpType > | newSpeciesThermo (const AnyMap &thermo_node)
| Create a new SpeciesThermoInterpType object using the specified parameters. More...

## Detailed Description

Header for factory functions to build instances of classes that manage the standard-state thermodynamic properties of a set of species (see Species Reference-State Thermodynamic Properties);.

Definition in file SpeciesThermoFactory.h.